local wndOptions = nil

cvDrawHUD = CreateClientConVar( "winamp_drawhud", "No HUD", false, false )
cvHUDTrans = CreateClientConVar( "winamp_hud_transparency", "90", false, false )
cvHUDX = CreateClientConVar( "winamp_hud_x", "10", false, false )
cvHUDY = CreateClientConVar( "winamp_hud_y", "10", false, false )


function WinAmp_OptionsDialog()
	if(wndOptions != nil) then
		if(wndOptions:IsVisible()) then return end
	end
	
	wndOptions = vgui.Create("DFrame")
	wndOptions:SetTitle("WinAmp Options")
	wndOptions:SetDeleteOnClose( true )
	wndOptions:SetSize( 240, 220 )
	wndOptions:MakePopup()
	wndOptions:Center()
	// Override the close action so we can bring the other dialog back up
	wndOptions.btnClose.DoClick = function ( button ) 
		wa_SaveSettings()
		WinAmp_Init()
		wndOptions:Close() 
	end
	
	local lblHUD = vgui.Create("DLabel", wndOptions)
	lblHUD:SetPos( 15, 30 )
	lblHUD:SetText("HUD Mode:")
	
	local multHUD = vgui.Create("DMultiChoice", wndOptions)
	multHUD:SetEditable(false)
	multHUD:SetPos( 85, 30 )
	multHUD:SetSize( 130, 20 )
	multHUD:AddChoice( "No HUD")
	multHUD:AddChoice( "Top Center" )
	multHUD:AddChoice( "Bottom Center" )
	multHUD:AddChoice( "Above Health" )
	multHUD:AddChoice( "Above Ammo" )
	multHUD:AddChoice( "Custom" )
	multHUD:SetConVar("winamp_drawhud")
	
	local numHUDTrans = vgui.Create("DNumSlider", wndOptions)
	numHUDTrans:SetPos( 15, 60 )
	numHUDTrans:SetWide(200)
	numHUDTrans:SetText("HUD Transparency:")
	numHUDTrans:SetDecimals(0)
	numHUDTrans:SetMinMax(0,255)
	numHUDTrans:SetConVar("winamp_hud_transparency")
	
	local numHUDCustX = vgui.Create("DNumSlider", wndOptions)
	numHUDCustX:SetPos( 15, 110 )
	numHUDCustX:SetWide(200)
	numHUDCustX:SetText("Custom HUD Position (X):")
	numHUDCustX:SetDecimals(0)
	numHUDCustX:SetMinMax(1,ScrW()-300 )
	numHUDCustX:SetConVar("winamp_hud_x")

	local numHUDCustY = vgui.Create("DNumSlider", wndOptions)
	numHUDCustY:SetPos( 15, 160 )
	numHUDCustY:SetWide(200)
	numHUDCustY:SetText("Custom HUD Position (Y):")
	numHUDCustY:SetDecimals(0)
	numHUDCustY:SetMinMax(0,ScrH()-72 )
	numHUDCustY:SetConVar("winamp_hud_y")

	

end
