cvEQOn = CreateClientConVar( "winamp_eq_on", "0", false, false )
cvEQAuto = CreateClientConVar( "winamp_eq_auto", "0", false, false )

local function guiEQ1Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 0, param1 )		
end

local function guiEQ2Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 1, param1 )		
end

local function guiEQ3Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 2, param1 )		
end

local function guiEQ4Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 3, param1 )		
end

local function guiEQ5Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 4, param1 )		
end

local function guiEQ6Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 5, param1 )		
end

local function guiEQ7Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 6, param1 )		
end

local function guiEQ8Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 7, param1 )		
end

local function guiEQ9Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 8, param1 )		
end

local function guiEQ10Set( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 9, param1 )		
end

local function guiPreamp( panel, message, param1, param2 )
	if ( ( message != "SliderMoved" ) ) then return end
		winamp.SetEQData( 10, param1 )		
end


wndEqualizer = nil
function WinAmp_EqualizerDialog()
	if(wndEqualizer != nil) then
		if(wndEqualizer:IsVisible()) then return end
	end
	
	wndEqualizer = vgui.Create("DFrame")
	wndEqualizer:SetTitle("WinAmp Equalizer")
	wndEqualizer:SetDeleteOnClose( true )
	wndEqualizer:SetSize( 255, 360 )
	wndEqualizer:MakePopup()
	wndEqualizer:Center()
	// Override the close action so we can bring the other dialog back up
	wndEqualizer.btnClose.DoClick = function ( button ) 
		wa_SaveSettings()
		WinAmp_Init()
		wndEqualizer:Close() 
	end
	
	local divCenterline = vgui.Create("Divider", wndEqualizer )
	divCenterline:SetPos( 139, 55 )
	divCenterline:SetSize( 2, 295 )
	
	local chkOn = vgui.Create( "DCheckBoxLabel", wndEqualizer )
	chkOn:SetPos( 15, 35 )
	chkOn:SetText( "On" )
	RunConsoleCommand("winamp_eq_on", winamp.GetEQMode() )
	chkOn:SetConVar("winamp_eq_on")
	
	local chkAuto = vgui.Create( "DCheckBoxLabel", wndEqualizer )
	chkAuto:SetPos( 75, 35 )
	chkAuto:SetText( "Auto" )
	RunConsoleCommand("winamp_eq_auto", winamp.GetEQAutoMode() )
	chkAuto:SetConVar("winamp_eq_auto")

	local eqSliders = {}
	local lblEQLabels = {}
	
	lblEQLabels[1] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[1]:SetPos(15, 60)
	lblEQLabels[1]:SetSize(50, 15)
	lblEQLabels[1]:SetText("60")
	eqSliders[1] = vgui.Create( "Slider" , wndEqualizer)
	eqSliders[1]:SetPos( 40, 60 )
	eqSliders[1]:SetSize(200,15)
	eqSliders[1]:SetText("60")
	eqSliders[1]:SetDecimals(0)
	eqSliders[1]:SetMinMax(0,64 )
	eqSliders[1]:SetValue(winamp.GetEQData(0))
	eqSliders[1]:SetActionFunction( guiEQ1Set )
	
	lblEQLabels[2] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[2]:SetPos(15, 90)
	lblEQLabels[2]:SetSize(50, 15)
	lblEQLabels[2]:SetText("170")
	eqSliders[2] = vgui.Create("Slider", wndEqualizer)
	eqSliders[2]:SetPos( 40, 90 )
	eqSliders[2]:SetSize(200,15)
	eqSliders[2]:SetDecimals(0)
	eqSliders[2]:SetMinMax(0,64 )
	eqSliders[2]:SetValue(winamp.GetEQData(1))
	eqSliders[2]:SetActionFunction( guiEQ2Set )

	lblEQLabels[3] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[3]:SetPos(15, 120)
	lblEQLabels[3]:SetSize(50, 15)
	lblEQLabels[3]:SetText("310")
	eqSliders[3] = vgui.Create("Slider", wndEqualizer)
	eqSliders[3]:SetPos( 40, 120 )
	eqSliders[3]:SetSize(200,15)
	eqSliders[3]:SetDecimals(0)
	eqSliders[3]:SetMinMax(0,64 )
	eqSliders[3]:SetValue(winamp.GetEQData(2))
	eqSliders[3]:SetActionFunction( guiEQ3Set )
	
	lblEQLabels[4] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[4]:SetPos(15, 150)
	lblEQLabels[4]:SetSize(50, 15)
	lblEQLabels[4]:SetText("600")
	eqSliders[4] = vgui.Create("Slider", wndEqualizer)
	eqSliders[4]:SetPos( 40, 150 )
	eqSliders[4]:SetSize(200,15)
	eqSliders[4]:SetDecimals(0)
	eqSliders[4]:SetMinMax(0,64 )
	eqSliders[4]:SetValue(winamp.GetEQData(3))
	eqSliders[4]:SetActionFunction( guiEQ4Set )

	lblEQLabels[5] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[5]:SetPos(15, 180)
	lblEQLabels[5]:SetSize(50, 15)
	lblEQLabels[5]:SetText("1k")
	eqSliders[5] = vgui.Create("Slider", wndEqualizer)
	eqSliders[5]:SetPos( 40, 180 )
	eqSliders[5]:SetSize(200,15)
	eqSliders[5]:SetDecimals(0)
	eqSliders[5]:SetMinMax(0,64 )
	eqSliders[5]:SetValue(winamp.GetEQData(4))
	eqSliders[5]:SetActionFunction( guiEQ5Set )
	
	lblEQLabels[6] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[6]:SetPos(15, 210)
	lblEQLabels[6]:SetSize(50, 15)
	lblEQLabels[6]:SetText("3k")
	eqSliders[6] = vgui.Create("Slider", wndEqualizer)
	eqSliders[6]:SetPos( 40, 210 )
	eqSliders[6]:SetSize(200,15)
	eqSliders[6]:SetDecimals(0)
	eqSliders[6]:SetMinMax(0,64 )
	eqSliders[6]:SetValue(winamp.GetEQData(5))
	eqSliders[6]:SetActionFunction( guiEQ6Set )
	
	lblEQLabels[7] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[7]:SetPos(15, 240)
	lblEQLabels[7]:SetSize(50, 15)
	lblEQLabels[7]:SetText("6k")
	eqSliders[7] = vgui.Create("Slider", wndEqualizer)
	eqSliders[7]:SetPos( 40, 240 )
	eqSliders[7]:SetSize(200,15)
	eqSliders[7]:SetDecimals(0)
	eqSliders[7]:SetMinMax(0,64 )
	eqSliders[7]:SetValue(winamp.GetEQData(6))
	eqSliders[7]:SetActionFunction( guiEQ7Set )
	
	lblEQLabels[8] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[8]:SetPos(15, 270)
	lblEQLabels[8]:SetSize(50, 15)
	lblEQLabels[8]:SetText("12k")
	eqSliders[8] = vgui.Create("Slider", wndEqualizer)
	eqSliders[8]:SetPos( 40, 270 )
	eqSliders[8]:SetSize(200,15)
	eqSliders[8]:SetText("12k")
	eqSliders[8]:SetDecimals(0)
	eqSliders[8]:SetMinMax(0,64 )
	eqSliders[8]:SetValue(winamp.GetEQData(7))
	eqSliders[8]:SetActionFunction( guiEQ8Set )
	
	lblEQLabels[9] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[9]:SetPos(15, 300)
	lblEQLabels[9]:SetSize(50, 15)
	lblEQLabels[9]:SetText("14k")
	eqSliders[9] = vgui.Create("Slider", wndEqualizer)
	eqSliders[9]:SetPos( 40, 300 )
	eqSliders[9]:SetSize(200,15)
	eqSliders[9]:SetDecimals(0)
	eqSliders[9]:SetMinMax(0,64 )
	eqSliders[9]:SetValue(winamp.GetEQData(8))
	eqSliders[9]:SetActionFunction( guiEQ9Set )
	
	lblEQLabels[10] = vgui.Create("DLabel", wndEqualizer)
	lblEQLabels[10]:SetPos(15, 330)
	lblEQLabels[10]:SetSize(50, 15)
	lblEQLabels[10]:SetText("16k")
	eqSliders[10] = vgui.Create("Slider", wndEqualizer)
	eqSliders[10]:SetPos( 40, 330 )
	eqSliders[10]:SetSize(200,15)
	eqSliders[10]:SetDecimals(0)
	eqSliders[10]:SetMinMax(0,64 )
	eqSliders[10]:SetValue(winamp.GetEQData(9))
	eqSliders[10]:SetActionFunction( guiEQ10Set )
	
end